%define section free

Summary:        IZPack installer generator
Name:           izpack
Version:        3.7.2
Release:        1jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://www.izforge.com/izpack/
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        izpack-3.7.2-src.tar.gz
#cvs -d:pserver:anonymous@cvs.izpack.berlios.de:/cvsroot/izpack login
#cvs -z3 -d:pserver:anonymous@cvs.izpack.berlios.de:/cvsroot/izpack export -r release-3-7-2 izpack-src
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  junit
BuildRequires:  regexp
Requires:       regexp
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IzPack is an installers generator for the Java platform. It 
produces lightweight installers that can be run on any operating 
system where a Java virtual machine is available. Depending on 
the operating system, it can be launched by a double-click or a 
simple 'java -jar installer.jar' on a shell. The most common use 
is to distribute applications for the Java platform, but you can 
also use it for other kinds of projects. The main benefit of 
IzPack is that it provides a clean and unique way of distributing 
a project to users using different operating systems. IzPack is 
reported to run on :
* Unix-like systems, mostly Linux and BSD
* MacOS X
* Windows variants
A big care has been put in making IzPack as small as possible in 
order to reduce the weight of IzPack itself in the final installer 
archive. Also, IzPack has been designed around modularity and 
flexibility. As a consequence, you are able to specify how your 
installer should be by selecting the panels that you want to show 
to the final user. Sometimes there are even several panels for the 
same usage so that you can pick the one that suits the best your 
needs. If ever you don't find your way through the available panels, 
you can still develop your own ones with the nice and easy IzPack 
API. There's even an embedded XML parser !


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done


%build
pushd lib
ln -sf $(build-classpath regexp) jakarta-regexp-1.3.jar
ln -sf $(build-classpath ant) .
popd
cd src
ant all build.javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

cp -p lib/uninstaller.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/uninstaller-%{version}.jar
cp -p lib/compiler.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/compiler-%{version}.jar
cp -p lib/uninstaller-ext.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/uninstaller-ext-%{version}.jar
cp -p lib/installer.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/installer-%{version}.jar
cp -p lib/standalone-compiler.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/standalone-compiler-%{version}.jar
cp -p lib/izevent.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/izevent-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/izpack/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/nanoxml/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# resources
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -pr bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin/native

# samples
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/sample
cp -pr sample/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/sample

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/*.txt
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Wed Oct 19 2005 Ralph Apel <r.apel at r-apel.de> - 0:3.7.2-1jpp
- First JPackage build
